Bug 510929 - Synaptic Touchpad configuration in Fedora is (was?) a mess
Synaptic Touchpad configuration in Fedora is (was?) a mess
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
13
i686 Linux
low Severity high
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 11:42 EDT by BK
Modified: 2011-06-27 10:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description BK 2009-07-12 11:42:23 EDT
Description of problem:
Configuration of Synaptic touchpads in default Fedora 11 is a complete and utter mess. There currently exists at least five ways of setting up a touchpad, and all stomp all over each other:

1) Custom xorg.conf
2) HAL .fdi-file
3) gsynaptics (a.k.a System->Preferences->Touchpad)
4) GNOME/gnome-mouse-properties (a.k.a System->Preferences->Mouse)
5) synclient

Summary: Options 3 and 4 offer only rudimentary control over the touchpad, yet will stomp on the more specific settings made by 1, 2 and 5. Even 3 and 4 will conflict with each other. 1 and 2 is sort of benign, as 1 shouldn't be necessary anymore. While 5 by its nature only changes current settings, these settings will still be stomped on after a suspend/resume cycle.

Configuration made in xorg.conf or HAL .fdi-files will be stomped on by GNOME, and even if you change these settings back manually with synclient, they will be re-stomped on if you suspend/resume.

There appears to be no way either to keep GNOME from mucking with touchpad configuration, nor to tell GNOME what configuration is desired. (Case in point: Set up two-finger click to generate middle click.)

gsynaptics, meanwhile, appears to be able to set certain parameters, but will be overridden by GNOME/gnome-mouse-properties for many other.

Version-Release number of selected component (if applicable):


How reproducible:
Configure touchpad properties in xorg.conf or using HAL .fdi-file, e.g., 
to set input.x11_options.TapButton2 = 2 to make two-finger taps generate a middle button click.

Log in to GNOME. Notice how tapping doesn't work at all. Change setting with System->Preferences->Touchpad to permit taps. Notice how two-finger tapping generates the wrong mouse click. Log out.

Log in again, notice how tapping doesn't work at all, despite just having configured tapping to be enabled. Consult System->Preferences->Touchpad to discover that despite having set tapping to enabled, it's again disabled. Use Touchpad-tab in System->Preferences->Mouse to enable tapping. Notice that two-finger tapping generates the wrong mouse click. Log out.

Log in again. Now one-finger tapping works, but two-finger tapping generates the wrong mouse click. Change setting with "synclient TapButton2=2". Notice how two-finger taps generate the correct mouse click. Suspend machine, then resume. Notice how two-finger tapping again generates the wrong mouse click.

Actual results:
Various touchpad configuration methods conflict, generating the wrong user experience. GNOME/gsynaptics change touchpad parameters which they provide no interface to set/modify.

Expected results:
Configuration tools alter only those parameters which they offer an interface to modify (possibly with an option to reset all parameters to default). GUI tools for modifying parameters respect each other's settings, i.e. enabling tapping in gsynaptics will enable tapping in GNOME as well.

If anything, the less specific System->Preferences->Mouse should defer to the more specific System->Preferences->Touchpad.

Additional info:
To my knowledge, there currently exists no way to configure all the parameters of a touchpad in a consistent and persistent way.
Comment 1 hdfssk 2009-08-17 16:49:41 EDT
I've run into the same problems; touchpad settings customized in xorg.conf, /etc/hal/fdi/policy/12-synaptics.fdi, directly using xinput, or directly using synclient are reset to whatever gnome-mouse-preferences gets its settings from on x session start and resume.

Does anyone know where the settings gnome-mouse-preferences respects are stored? That would allow presistent customizations, which is better than the present situation.
Comment 2 hdfssk 2009-08-20 12:24:19 EDT
The touchpad tap settings being stomped on is a special situation caused by gnome-settings-daemon; see https://bugzilla.redhat.com/show_bug.cgi?id=518502 for details. I still agree with this bug's take on the F11 touchpad config situation.
Comment 3 Bug Zapper 2010-04-27 11:38:03 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 hdfssk 2010-04-27 14:37:05 EDT
I can't change this bug's version, but assuming touchpads still have the same configuration issues in F12 it should be moved along.. it's still NEW after 9 months, but maybe someone will take a look at it in the next release cycle.
Comment 5 BK 2010-04-27 15:17:45 EDT
updated title and version, as problem remains in F12.
Comment 6 Bug Zapper 2010-11-04 06:48:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 BK 2010-11-04 07:06:26 EDT
...and it's still a mess in F13.
Comment 8 dgs 2011-01-09 21:24:06 EST
...and it's still a mess in F14!  

This problem should be upgraded in priority.  It is not limited to the Fedora distribution and research into touchpad's and "jumping" erratic cursor behavior linked to same are widely prevalent across the distro spectrum.  

Somebody please make a command decision and pick one method for controlling the touchpad. Users need to be able to easily (hotkey) turn it on and off at the very least.
Comment 9 Kjartan Maraas 2011-02-20 16:43:22 EST
By now we're left with options 4) and 5) afaics. I think it would make sense to file bugs against the control-center mouse panel if something is still missing. Preferably upstream if they are feature requests.
Comment 10 Bug Zapper 2011-06-02 13:55:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-27 10:17:01 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.